#!/bin/sh

set -e -u

SOURCE_DIR="$(pwd)"

for py in $(py3versions -r 2>/dev/null); do
	cd "$AUTOPKGTEST_TMP"
	rm -vrf "$AUTOPKGTEST_TMP"/*
	cp -va "$SOURCE_DIR"/test/test.py "$AUTOPKGTEST_TMP"/
	echo "Running testsuite with $py:"
	$py test.py 2>&1
done
